# List Notes Endpoint: GET /note Version: v1 Security: x-api-key, a-api-key ## Query parameters: - `page` (integer) Example: 1 - `page_size` (integer) Example: 50 - `sort_by` (array) Comma separated search fields. See Sorting Example: ["[\"field_name\",\"field_name\"]"] - `q[]` (array) Filter result by one or more fields. See Query Filtering Available filters: | Value | Format | |---|---| | created | timestamp | | updated | timestamp | | app_time | datetime| | appointment_id | integer | | business_id | integer | | practitioner_id | integer | ## Response 200 fields (application/json): - `notes` (array) - `notes.row_num` (integer) - `notes.total_rows` (integer) - `notes.links` (object) - `notes.links.self` (string) Example: "https://api.pracsuite.com/v1/note/1" - `notes.links.resources` (string) Example: "https://api.pracsuite.com/v1/note/1/resource" - `notes.appointment_id` (integer) - `notes.app_time` (string) ISO 8601 local datetime in the tenant's timezone. Example: "2026-01-01T12:05:30" - `notes.practitioner_id` (integer) - `notes.business_id` (integer) - `notes.duration` (integer) Must be between 5 and 1440 and divisible by 5. - `notes.column_number` (integer) - `notes.width` (integer) - `notes.category` (string) Example: "Note" - `notes.description` (string) - `notes.created` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `notes.modified` (string) RFC 3339 UTC date-time (Z) with microsecond precision. Example: "2020-09-12T11:09:42.687393Z" - `notes.font_colour` (string) Hex colour in the format #RRGGBB. Example: "#000000" - `notes.bg_colour` (string) Hex colour in the format #RRGGBB. Example: "#FFD700" - `notes.resource_ids` (array) - `total_entries` (integer) ## Response 400 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 400 - `error.code` (string) Example: "INVALID_PARAMS" - `error.detail` (string) Human readable explanation of the error Example: "One or more request parameters are invalid." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 401 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "UNAUTHORIZED" - `error.detail` (string) Human readable explanation of the error Example: "Access could not be verified for this request." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 403 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 403 - `error.code` (string) Example: "MISSING_AUTHENTICATION_TOKEN" - `error.detail` (string) Human readable explanation of the error Example: "Authentication token is missing or the requested endpoint does not exist" - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000" ## Response 500 fields (application/json): - `error` (object, required) - `error.status` (integer) Example: 500 - `error.code` (string) Example: "SERVER_ERROR" - `error.detail` (string) Human readable explanation of the error Example: "An unexpected error occurred while processing your request. Please try again in a few minutes. If it keeps happening, contact support with Request ID: 00000000-0000-0000-0000-000000000000." - `request_id` (string, required) Example: "00000000-0000-0000-0000-000000000000"